Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface SNMPCounterMonitorMBean

public interface SNMPCounterMonitorMBean
extends SNMPJMXMonitorMBean

This class describes the criteria for a Counter-based Monitor. A trap will be generated when this criteria is satisfied.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.SNMPJMXMonitorMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.SNMPTrapSourceMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`int` | `getModulus()` Defines an integer value to be subtracted from the threshold when the threshold is crossed.
`int` | `getOffset()` Defines an integer value to be added to the threshold when the threshold is crossed.
`int` | `getThreshold()` Defines a threshold that is an integer value.
`void` | `setModulus(int modulus)`
`void` | `setOffset(int offset)`
`void` | `setThreshold(int threshold)`

Methods inherited from interface weblogic.management.configuration.SNMPJMXMonitorMBean
`getMonitoredAttributeName, getMonitoredMBeanName, getMonitoredMBeanType, getPollingInterval, setMonitoredAttributeName, setMonitoredMBeanName, setMonitoredMBeanType, setPollingInterval`

Methods inherited from interface weblogic.management.configuration.SNMPTrapSourceMBean
`addEnabledServer, getEnabledServers, removeEnabledServer, setEnabledServers`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getThreshold

    public int getThreshold()

  Defines a threshold that is an integer value. A trap is generated if the agent detects that the monitored attribute equals or exceeds the threshold value.

  Legal Minimum Value: 0

### setThreshold

    public void setThreshold(int threshold)

### getOffset

    public int getOffset()

  Defines an integer value to be added to the threshold when the threshold is crossed.

  - If Offset is 0, a trap is generated each time the agent polls the monitored attribute and its value still exceeds or equals the value in the Threshold field.
  - If Offset is larger than 0, the value of the offset is added to the threshold each time the threshold is crossed.

  Legal Minimum Value: 0

### setOffset

    public void setOffset(int offset)

### getModulus

    public int getModulus()

  Defines an integer value to be subtracted from the threshold when the threshold is crossed.

  - If Modulus is 0, a trap is generated each time the agent polls the monitored attribute and its value still exceeds or equals the value in the Threshold field.
  - If Modulus is larger than 0, the value of the modulus is subtracted from the threshold each time the threshold is crossed.

  Legal Minimum Value: 0

### setModulus

    public void setModulus(int modulus)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference